<script setup lang="ts">
const router = useRouter();
</script>
<template>
  <v-container>
    <v-row class="my-4 d-none d-sm-flex">
      <v-col class="text-center" cols="12">
        <h1 class="text-h1">iBeetle-Base</h1>
      </v-col>
    </v-row>
    <v-row class="my-4">
      <v-col class="d-flex justify-center">
        <SearchForm />
      </v-col>
    </v-row>
    <v-row class="d-flex">
      <v-col class="d-flex">
        <v-card
          link
          target="_blank"
          elevation="4"
          min-width="100%"
          class="align-stretch align-self-stretch"
          @click="router.push('/genomebrowser')"
        >
          <v-card-title>Genome Browser</v-card-title>
          <v-card-text>
            Gene structure, expression and chromatin data based on Tcas5.2
            (<OutLink
              to="https://doi.org/10.1186/s12864-019-6394-6"
              @click="$event.stopPropagation()"
              >Herndon et al. 2020</OutLink
            >)
          </v-card-text>
        </v-card>
      </v-col>
      <v-col class="d-flex">
        <v-card
          to="querypipeline"
          elevation="4"
          min-width="100%"
          class="align-stretch align-self-stretch"
        >
          <v-card-title>Gene ID Conversion Pipeline</v-card-title>
          <v-card-text
            >Convert lists of gene IDs between fly and beetle</v-card-text
          >
        </v-card>
      </v-col>
      <v-col class="d-flex">
        <v-card
          to="ontology"
          elevation="4"
          min-width="100%"
          class="align-stretch align-self-stretch"
        >
          <v-card-title>Ontology Viewer</v-card-title>
          <v-card-text
            >Browse the Tribolium morphological ontology (TrOn)</v-card-text
          >
        </v-card>
      </v-col>
      <v-col class="d-flex">
        <v-card
          to="resources"
          elevation="4"
          min-width="100%"
          class="align-stretch align-self-stretch"
        >
          <v-card-title>Resources</v-card-title>
          <v-card-text
            >Gene set and genome assembly for download, links to resources and
            community information.</v-card-text
          >
        </v-card>
      </v-col>
    </v-row>
    <div class="d-flex mt-4">
      <div class="text-body-2">
        NCBI is using another assembly (<OutLink
          to="https://www.ncbi.nlm.nih.gov/nuccore/JANKOB000000000.1"
          >icTriCast1.1</OutLink
        >) based on long read sequencing
      </div>
    </div>
    <div class="d-flex mt-4 flex-column flex-md-row">
      <div class="mr-4 mb-6">
        <p class="text-body-2">
          RNAi phenotypes documented in this database were collected in the
          iBeetle Screen, which was funded by the German Research Foundation
          (DFG) and BayerCrop Science. The development of the iBeetle-Base has
          been supported by DFG. Please refer to
          <OutLink to="https://doi.org/10.1038/ncomms8822"
            >Schmitt-Engel et al. (2015)</OutLink
          >
          and
          <OutLink to="https://doi.org/10.1186/s12915-022-01231-4"
            >Hakeemi et al. (2022)</OutLink
          >
          for details on the iBeetle Screen and to
          <OutLink to="https://doi.org/10.1093/nar/gku1054"
            >Dönitz et al. (2015)</OutLink
          >
          and
          <OutLink to="https://doi.org/10.1093/nar/gkx984"
            >Dönitz et al (2018)</OutLink
          >
          for the iBeetle-Base.
        </p>
      </div>
      <div class="flex-0-0" style="width: 360px">
        <p class="text-caption">
          iBeetle-Base is made possible with the support of
        </p>
        <img src="/dfg.svg" alt="DFG Logo" style="width: 100%" />
      </div>
    </div>
  </v-container>
</template>
